_lscp_param_t Struct Reference

`#include <device.h>`

## Data Fields

char * | key
char * | value

## Detailed Description

Common and simple key/value pair parameter tuple.

## Field Documentation

## key

char* _lscp_param_t::key

Referenced by client_test_audio_channel(), client_test_midi_port(), client_test_params(), lscp_get_param_value(), lscp_param_concat(), lscp_plist_alloc(), lscp_plist_append(), lscp_plist_free(), lscp_psplit_create(), lscp_set_audio_channel_param(), lscp_set_audio_device_param(), lscp_set_midi_device_param(), and lscp_set_midi_port_param().

## value

char* _lscp_param_t::value

Referenced by lscp_get_param_value(), lscp_param_concat(), lscp_plist_alloc(), lscp_plist_append(), lscp_psplit_create(), lscp_set_audio_channel_param(), lscp_set_audio_device_param(), lscp_set_midi_device_param(), and lscp_set_midi_port_param().

The documentation for this struct was generated from the following file:

- device.h